This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise Server NSS Cryptographic Module
Certificate details
| Certificate ID | #3922 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 09.05.2021 , 28.11.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | SUSE Network Security Services (NSS) is a set of libraries designed to support cross-platform development of security-enabled client and server applications. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, CAST, CAST5, RC2, RC4, RC5, DES, Triple-DES, TDES, TDEA, ChaCha20, Poly1305, IDEA, Camellia, SEED, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CBC-MAC, CMACAsymmetric Algorithms
RSA 2048, ECDSA, DSAHash functions
SHA-1, SHA-256, SHA-224, SHA-384, SHA-512, MD5, PBKDF, PBKDF1Schemes
MAC, Key Exchange, Key exchange, Key Agreement, Key agreementProtocols
SSH, TLS, TLSv1.2, TLS 1.0, TLS 1.2, IKE, IKEv2, IKEv1Randomness
DRBG, RNGLibraries
NSSElliptic Curves
P-256, P-384, P-521, P-192, Curve25519Block cipher modes
ECB, CBC, CTR, GCM, CCMTrusted Execution Environments
SSCSecurity level
level 1Side-channel analysis
Timing Attacks, timing attacksStandards
FIPS 140-2, FIPS197, FIPS186-4, FIPS198-1, FIPS180-4, FIPS 186-4, FIPS PUB 140-2, SP 800-57, PKCS#11, PKCS#1, RFC7919, RFC3526, RFC5246, RFC4253, RFC7296Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3922,
"dgst": "f0eab88acf23e278",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"KAS-SSC#A681",
"DRBG#A245",
"KTS#A337",
"KTS#A338",
"AES#A477",
"AES#A474",
"AES#A247",
"ECDSA#A473",
"#A245",
"CVL#A473",
"CVL#A475",
"RSA#A473",
"#A476",
"#A475",
"KAS-SSC#A682",
"CVL#A246",
"ECDSA#A245",
"KTS#A476",
"RSA#A245",
"DSA#A245",
"AES#A245",
"AES#A337",
"Triple-DES#A473",
"#A474",
"AES#A338",
"PBKDF#A245",
"#A477",
"#A338",
"HMAC#A473",
"HMAC#A245",
"SHS#A245",
"AES#A476",
"PBKDF#A473",
"#A682",
"#A681",
"#A246",
"#A247",
"KTS#A477",
"AES#A473",
"DSA#A473",
"Triple-DES#A245",
"DRBG#A473",
"#A337",
"#A473",
"SHS#A473",
"CVL#A245"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDSA": {
"ECDSA": 24
}
},
"FF": {
"DSA": {
"DSA": 34
}
},
"RSA": {
"RSA 2048": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CCM": {
"CCM": 1
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"NSS": {
"NSS": 44
}
},
"crypto_protocol": {
"IKE": {
"IKE": 18,
"IKEv1": 1,
"IKEv2": 3
},
"SSH": {
"SSH": 1
},
"TLS": {
"TLS": {
"TLS": 28,
"TLS 1.0": 1,
"TLS 1.2": 1,
"TLSv1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 3,
"Key agreement": 1
},
"KEX": {
"Key Exchange": 3,
"Key exchange": 4
},
"MAC": {
"MAC": 9
}
},
"device_model": {},
"ecc_curve": {
"Curve": {
"Curve25519": 1
},
"NIST": {
"P-192": 2,
"P-256": 12,
"P-384": 8,
"P-521": 6
}
},
"eval_facility": {
"atsec": {
"atsec": 39
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"HMAC SHA-1": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"PKCS#1": 3,
"PKCS#11": 8,
"RSA 2048": 1,
"RSA PKCS#1": 1,
"SHA- 384": 1,
"SHA-1": 12,
"SHA-224": 12,
"SHA-256": 25,
"SHA-384": 14,
"SHA-512": 12,
"SHA-512 112": 1,
"SHA-512 2048": 2
}
},
"fips_security_level": {
"Level": {
"level 1": 3
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 1
}
},
"PBKDF": {
"PBKDF": 12,
"PBKDF1": 1
},
"SHA": {
"SHA1": {
"SHA-1": 12
},
"SHA2": {
"SHA-224": 12,
"SHA-256": 25,
"SHA-384": 14,
"SHA-512": 15
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 27
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attacks": 2,
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 49,
"FIPS 186-4": 4,
"FIPS PUB 140-2": 2,
"FIPS180-4": 2,
"FIPS186-4": 13,
"FIPS197": 2,
"FIPS198-1": 2
},
"NIST": {
"SP 800-57": 2
},
"PKCS": {
"PKCS#1": 2,
"PKCS#11": 4
},
"RFC": {
"RFC3526": 3,
"RFC4253": 1,
"RFC5246": 1,
"RFC7296": 1,
"RFC7919": 3
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 29
},
"CAST": {
"CAST": 1,
"CAST5": 1
},
"RC": {
"RC2": 1,
"RC4": 1,
"RC5": 1
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 1,
"Triple-DES": 22
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"CBC-MAC": 2,
"CMAC": 3,
"HMAC": 26,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
},
"djb": {
"ChaCha": {
"ChaCha20": 1
},
"Poly": {
"Poly1305": 1
}
},
"miscellaneous": {
"Camellia": {
"Camellia": 1
},
"IDEA": {
"IDEA": 2
},
"SEED": {
"SEED": 1
}
}
},
"tee_name": {
"IBM": {
"SSC": 2
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KAS-SSC#A681",
"DRBG#A245",
"KTS#A337",
"KTS#A338",
"AES#A477",
"AES#A474",
"AES#A247",
"ECDSA#A473",
"CVL#A473",
"CVL#A475",
"RSA#A473",
"KAS-SSC#A682",
"CVL#A246",
"ECDSA#A245",
"KTS#A476",
"RSA#A245",
"DSA#A245",
"AES#A245",
"AES#A337",
"Triple-DES#A473",
"AES#A338",
"PBKDF#A245",
"HMAC#A473",
"HMAC#A245",
"SHS#A245",
"AES#A476",
"PBKDF#A473",
"KTS#A477",
"AES#A473",
"DSA#A473",
"Triple-DES#A245",
"DRBG#A473",
"SHS#A473",
"CVL#A245"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A682",
"#A681",
"#A474",
"#A246",
"#A476",
"#A477",
"#A338",
"#A337",
"#A473",
"#A475",
"#A247",
"#A245"
]
},
"policy_metadata": {
"/Author": "Traci Porter",
"/CreationDate": "D:20211123133339-06\u002700\u0027",
"/Creator": "Writer",
"/Keywords": "FIPS 140-2",
"/Producer": "OpenOffice 4.1.10",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 438286,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"http://csrc.nist.gov/",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38b.pdf",
"http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-132.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-67r1.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
"http://www.ietf.org/rfc/rfc3447.txt",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 37
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "caa86ed184ec28dcb462d413057ff2f5b1dcacbb9178b047171355b5182a9e2b",
"source_hash": "4536c744b7aefad0fc3a1e84ee9678f10288a4a440e031e5523012d8eba86932",
"txt_hash": "d525843427557390a706cd04b98ae94be5ed55ce65e4610972eff661183056eb"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/May 2021_010621_0658.pdf",
"date_sunset": null,
"description": "SUSE Network Security Services (NSS) is a set of libraries designed to support cross-platform development of security-enabled client and server applications.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 2",
"Physical Security: N/A",
"Design Assurance: Level 2"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SUSE Linux Enterprise Server NSS Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "3.0",
"tested_conf": [
"SUSE Linux Enterprise Server 15 SP0 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 with PAA",
"SUSE Linux Enterprise Server 15 SP0 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 without PAA",
"SUSE Linux Enterprise Server 15 SP2 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 with PAA",
"SUSE Linux Enterprise Server 15 SP2 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 without PAA",
"SUSE Linux Enterprise Server 15 SP2 running on Gigabyte R181-T90 with Cavium ThunderX2 CN9975 ARMv8 without PAA (single-user mode)",
"SUSE Linux Enterprise Server 15 SP2 running on IBM System Z/15 with IBM z15 without PAI"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-05-09",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-11-28",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}